com.microfocus.awm.model

## Enum EExistingResourceHandling

- java.lang.Object
- - java.lang.Enum<EExistingResourceHandling>
  - - com.microfocus.awm.model.EExistingResourceHandling

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EExistingResourceHandling>

      public enum EExistingResourceHandling
      extends java.lang.Enum<EExistingResourceHandling>

  Possibilities for how to react if one or more target resources already exist during a transfer operation.
  Author:
    Micro Focus

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ERROR` Produce an exception if a target file already exists.
    `IGNORE` Ignore/skip files which already exist in the target.
    `REPLACE` Replace existing resources.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EExistingResourceHandling` | `fromName(java.lang.String pName)` Gets an EExistingResourceHandling instance from its name.
    `java.lang.String` | `getName()` Gets the non-translatable name.
    `static EExistingResourceHandling` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EExistingResourceHandling[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### REPLACE

          public static final EExistingResourceHandling REPLACE

      Replace existing resources.

    - #### IGNORE

          public static final EExistingResourceHandling IGNORE

      Ignore/skip files which already exist in the target.

    - #### ERROR

          public static final EExistingResourceHandling ERROR

      Produce an exception if a target file already exists.

  - ### Method Detail

    - #### values

          public static EExistingResourceHandling[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EExistingResourceHandling c : EExistingResourceHandling.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EExistingResourceHandling valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getName

          public java.lang.String getName()

      Gets the non-translatable name.
      Returns:
        the name

    - #### fromName

          public static EExistingResourceHandling fromName(java.lang.String pName)

      Gets an EExistingResourceHandling instance from its name.
      Parameters:
        `pName` - the name
      Returns:
        the instance or `null` if no `EExistingResourceHandling` instance exists for the given name
      See Also:
        `getName()`

Copyright © 2015 Micro Focus GmbH. All rights reserved.